Bug 1295071 - root on btrfs raid1 does not boot
root on btrfs raid1 does not boot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-01 13:43 EST by Chris Murphy
Modified: 2017-08-08 08:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:36:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
program.log (85.76 KB, text/plain)
2016-01-01 13:44 EST, Chris Murphy
no flags Details
storage.log (232.95 KB, text/plain)
2016-01-01 13:44 EST, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2016-01-01 13:43:43 EST
Description of problem:

Following an Anaconda Btrfs raid1 for root installation, the resulting installation fails to boot; GRUB menu doesn't appear.


Version-Release number of selected component (if applicable):


How reproducible:
Uncertain, probably often based on why it fails to boot.scp 


Steps to Reproduce:
1. 2x disk, custom installation using Btrfs partition scheme, set to use raid1
2. reboot


Actual results:

Doesn't boot, fails in BIOS before GRUB is loaded.

Expected results:

Should boot.


Additional info:

program.log reveals the bootloader was only installed on /dev/vda rather than both /dev/vda and /dev/vdb, which is what's done for mdadm raid1 installs. So we're at the mercy of the BIOS enumeration that install time /dev/vda will be used first by the BIOS at reboot.
Comment 1 Chris Murphy 2016-01-01 13:44 EST
Created attachment 1110917 [details]
program.log
Comment 2 Chris Murphy 2016-01-01 13:44 EST
Created attachment 1110918 [details]
storage.log
Comment 3 Jan Kurik 2016-02-24 09:12:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:42:32 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:36:50 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.